package com.ruoyi.project.training.spec.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.spec.mapper.TStYearplanMapper;
import com.ruoyi.project.training.spec.domain.TStYearplan;
import com.ruoyi.project.training.spec.service.ITStYearplanService;

/**
 * 专项培训年度计划Service业务层处理
 *
 * @author ly
 * @date 2022-04-24
 */
@Service
public class TStYearplanServiceImpl implements ITStYearplanService
{
    @Autowired
    private TStYearplanMapper tStYearplanMapper;

    /**
     * 查询专项培训年度计划
     *
     * @param id 专项培训年度计划ID
     * @return 专项培训年度计划
     */
    @Override
    public TStYearplan selectTStYearplanById(Long id)
    {
        return tStYearplanMapper.selectTStYearplanById(id);
    }

    /**
     * 查询专项培训年度计划列表
     *
     * @param tStYearplan 专项培训年度计划
     * @return 专项培训年度计划
     */
    @Override
    public List<TStYearplan> selectTStYearplanList(TStYearplan tStYearplan)
    {
        return tStYearplanMapper.selectTStYearplanList(tStYearplan);
    }

    /**
     * 新增专项培训年度计划
     *
     * @param tStYearplan 专项培训年度计划
     * @return 结果
     */
    @Override
    public int insertTStYearplan(TStYearplan tStYearplan)
    {
        return tStYearplanMapper.insertTStYearplan(tStYearplan);
    }

    /**
     * 修改专项培训年度计划
     *
     * @param tStYearplan 专项培训年度计划
     * @return 结果
     */
    @Override
    public int updateTStYearplan(TStYearplan tStYearplan)
    {
        return tStYearplanMapper.updateTStYearplan(tStYearplan);
    }

    /**
     * 批量删除专项培训年度计划
     *
     * @param ids 需要删除的专项培训年度计划ID
     * @return 结果
     */
    @Override
    public int deleteTStYearplanByIds(Long[] ids)
    {
        return tStYearplanMapper.deleteTStYearplanByIds(ids);
    }

    /**
     * 删除专项培训年度计划信息
     *
     * @param id 专项培训年度计划ID
     * @return 结果
     */
    @Override
    public int deleteTStYearplanById(Long id)
    {
        return tStYearplanMapper.deleteTStYearplanById(id);
    }
}
